Package twisted :: Package python :: Module failure

[frames | no frames]

## Module twisted.python.failure

Asynchronous-friendly error mechanism.

See `Failure`.

Classes
`Failure` | A basic abstraction for an error that has occurred.

Exceptions
`DefaultException` |

Function Summary
| `_debuginit(self, exc_value, exc_type, exc_tb, Failure__init__)`
| ``format_frames`(frames, write, detail)` Format and write frames.
| ``startDebugMode`()` Enable debug hooks for Failures.

Variable Summary
`int` | `count` = 10
`int` | `traceupLength` = 4

Function Details

### format_frames(frames, write, detail='default')

Format and write frames.

  Parameters:
    `frames` - is a list of frames as used by Failure.frames, with each frame being a list of (funcName, fileName, lineNumber, locals.items(), globals.items())
    (type=list)
    `write` - this will be called with formatted strings.
    (type=callable)
    `detail` - Three detail levels are available: default, brief, and verbose.
    (type=string)

### startDebugMode()

Enable debug hooks for Failures.

Variable Details

### count

  Type:
    `int`
  Value:

        10

### traceupLength

  Type:
    `int`
  Value:

        4

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net